{% for post in __SELF__.posts %}
<article>
  <p>{{ post.content | raw }}</p>

  {% for attachment in post.media_attachments %}
  {% if attachment.type == 'image' %}
  <figure>
    <a href="{{ attachment.url }}">
      <img src="{{ attachment.preview_url }}" alt="{{ attachment.meta }}">
    </a>
    <figcaption>
      {{ attachment.description | raw }}
    </figcaption>
  </figure>
  {% endif %}
  {% endfor %}
</article>
{% endfor %}
